List artifacts
GET
/v1/artifacts
const url = 'https://shareout.site/v1/artifacts';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shareout.site/v1/artifacts \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” favorites
boolean
Return only the current user’s favorited artifacts.
workspace_id
string
List artifacts that belong to a workspace (not the caller’s personal artifacts). Caller must be a workspace member (403 otherwise). Owners/admins see all workspace artifacts; members see non-private artifacts plus any they own or collaborate on.
Responses
Section titled “ Responses ”A list of artifacts
Media type application/json
object
artifacts
Array<object>
object
id
string
name
string
slug
string
visibility
‘unlisted’ was retired 2026-07 — still accepted as input and treated as ‘public’.
string
moderation_status
Safety review state for open visibility.
string
allow_anon_write
boolean
allow_anon_email
boolean
allow_anon_agent
boolean
allow_anon_collab
boolean
url
string format: uri
thumbnail_url
string format: uri
is_favorite
boolean
created_at
integer
Example
{ "artifacts": [ { "visibility": "public", "moderation_status": "approved" } ]}Authentication required
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}Access denied
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}